head	1.3;
access;
symbols
	RELEASE_4_4_0:1.2;
locks; strict;
comment	@# @;


1.3
date	2001.11.07.08.18.19;	author wjv;	state dead;
branches;
next	1.2;

1.2
date	2001.09.11.12.06.29;	author wjv;	state Exp;
branches;
next	1.1;

1.1
date	2001.09.10.08.13.34;	author wjv;	state Exp;
branches;
next	;


desc
@@


1.3
log
@- Update to version 1.7
- Remove patch, as this functionality now exists in distribution
- Drop maintainership

PR:		31812
Submitted by:	Mark Stosberg <mark@@summersault.com>
@
text
@--- keychain.orig	Mon Sep 10 06:42:47 2001
+++ keychain	Tue Sep 11 13:55:58 2001
@@@@ -9,6 +9,7 @@@@
 trap "" INT
 PATH="/sbin:/usr/sbin:${PATH}"; export PATH;
 KEYCHAIN_KEYS=""
+SHORTHOSTNAME=`hostname -s`
 for x in ${*}
 do
 	# if it's not an --option, add it to our list of keys
@@@@ -46,20 +47,20 @@@@
 
  Keychain is an OpenSSH key manager, typically run from ~/.bash_profile.  When
  run, it will make sure ssh-agent is running; if not, it will start ssh-agent.
- It will redirect ssh-agent's output to ~/.ssh-agent, so that cron jobs that
- need to use ssh-agent keys can simply source this file and make the necessary
- passwordless ssh connections.  In addition, when keychain runs, it will check
- with ssh-agent and make sure that the ssh RSA/DSA keys that you specified on
- the keychain command line have actually been added to ssh-agent.  If not, you
- are prompted for the appropriate passphrases so that they can be added by
- keychain.
+ It will redirect ssh-agent's output to ~/.ssh-agent-HOSTNAME, so that cron
+ jobs that need to use ssh-agent keys can simply source this file and make the
+ necessary passwordless ssh connections.  In addition, when keychain runs, it
+ will check with ssh-agent and make sure that the ssh RSA/DSA keys that you
+ specified on the keychain command line have actually been added to ssh-agent.
+ If not, you are prompted for the appropriate passphrases so that they can be
+ added by keychain.
 
  Typically, one uses keychain by adding the following to the top of their
  ~/.bash_profile (or ~/.zshrc, in case of zsh):
 
 EOHELP
 echo -e "  ${CYAN}keychain ~/.ssh/id_rsa ~/.ssh/id_dsa"
-echo -e "  source ~/.ssh-agent > /dev/null${OFF}"
+echo -e "  . ~/.ssh-agent-HOSTNAME > /dev/null${OFF}"
 echo -e "  # the > /dev/null eliminates the redundant agent PID output"
 echo
 cat <<EOHELP
@@@@ -86,8 +87,9 @@@@
 echo
 cat <<EOHELP
  This option tells keychain do everything it normally does (ensure ssh-agent is
- running, set up the ~/.ssh-agent file) except that it will not prompt you to
- add any of the keys you specified if they haven't yet been added to ssh-agent.
+ running, set up the ~/.ssh-agent-HOSTNAME file) except that it will not prompt
+ you to add any of the keys you specified if they haven't yet been added to
+ ssh-agent.
 
 EOHELP
 echo -e " ${GREEN}--stop${OFF}"
@@@@ -102,14 +104,14 @@@@
 fi
 
 
-if [ ! -f ~/.ssh-agent ]
+if [ ! -f ~/.ssh-agent-${SHORTHOSTNAME} ]
 then
-	echo -e " ${GREEN}*${OFF} Initializing ~/.ssh-agent file..."
-	touch ~/.ssh-agent || ( echo "$0: Cannot create ~/.ssh-agent, exiting." 1>&2 && exit 1 )
-	chmod 0600 ~/.ssh-agent
+	echo -e " ${GREEN}*${OFF} Initializing ~/.ssh-agent-HOSTNAME file..."
+	touch ~/.ssh-agent-${SHORTHOSTNAME} || ( echo "$0: Cannot create ~/.ssh-agent-HOSTNAME, exiting." 1>&2 && exit 1 )
+	chmod 0600 ~/.ssh-agent-${SHORTHOSTNAME}
 	SSH_AGENT_PID="NULL"
 else
-	source ~/.ssh-agent > /dev/null
+	. ~/.ssh-agent-${SHORTHOSTNAME} > /dev/null
 fi
 
 match="no"
@@@@ -127,10 +129,10 @@@@
 
 if [ "$match" = "no" ]
 then
-	chmod 0600 ~/.ssh-agent
+	chmod 0600 ~/.ssh-agent-${SHORTHOSTNAME}
 	echo -e " ${GREEN}*${OFF} starting new ssh-agent"
-	nohup ssh-agent > ~/.ssh-agent
-	source ~/.ssh-agent > /dev/null
+	nohup ssh-agent > ~/.ssh-agent-${SHORTHOSTNAME}
+	. ~/.ssh-agent-${SHORTHOSTNAME} > /dev/null
 fi
 
 if [ -n "`echo $* | grep '\-\-clear'`" ]
@


1.2
log
@- Change the name of the file in which keychain stores the environment
  settings of the running ssh-agent(1) process from ~/.ssh-agent to
  ~/.ssh-agent-`hostname -s`.  This is to allow users with NFS-mounted home
  directories to use keychain on multiple machines simultaneously.
- Bump PORTREVISION

PR:		30506
Submitted by:	Martti Kuparinen <martti.kuparinen@@iki.fi>
@
text
@@


1.1
log
@Add keychain 1.2, a user-friendly front-end to ssh-agent(1).
@
text
@d2 30
a31 2
+++ keychain	Mon Sep 10 08:54:24 2001
@@@@ -59,7 +59,7 @@@@
d36 1
a36 1
+echo -e "  . ~/.ssh-agent > /dev/null${OFF}"
d40 25
a64 2
@@@@ -109,7 +109,7 @@@@
 	chmod 0600 ~/.ssh-agent
d68 1
a68 1
+	. ~/.ssh-agent > /dev/null
d72 6
a77 2
@@@@ -130,7 +130,7 @@@@
 	chmod 0600 ~/.ssh-agent
d79 1
a79 1
 	nohup ssh-agent > ~/.ssh-agent
d81 2
a82 1
+	. ~/.ssh-agent > /dev/null
@

